{"openapi":"3.0.1","info":{"title":"_10xCrew.Customers.Awe","version":"v1"},"paths":{"/api/v2/deliveries":{"post":{"tags":["Deliveries"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Delivery"}},"text/json":{"schema":{"$ref":"#/components/schemas/Delivery"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/Delivery"}}}},"responses":{"200":{"description":"Success"}}}},"/api/v2/deliveries/{doc_entry}":{"get":{"tags":["Deliveries"],"parameters":[{"name":"doc_entry","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/DeliveryModel"}},"application/json":{"schema":{"$ref":"#/components/schemas/DeliveryModel"}},"text/json":{"schema":{"$ref":"#/components/schemas/DeliveryModel"}}}}}}},"/api/v2/orders/in":{"get":{"tags":["Orders"],"responses":{"200":{"description":"Success","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/OrdersModel"}},"application/json":{"schema":{"$ref":"#/components/schemas/OrdersModel"}},"text/json":{"schema":{"$ref":"#/components/schemas/OrdersModel"}}}}}}},"/api/v2/orders/in/{webshop_order_id}/{site_id}":{"get":{"tags":["Orders"],"parameters":[{"name":"webshop_order_id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"site_id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"Success","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Order"}},"application/json":{"schema":{"$ref":"#/components/schemas/Order"}},"text/json":{"schema":{"$ref":"#/components/schemas/Order"}}}}}},"put":{"tags":["Orders"],"parameters":[{"name":"webshop_order_id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"site_id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Order"}},"text/json":{"schema":{"$ref":"#/components/schemas/Order"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/Order"}}}},"responses":{"200":{"description":"Success"}}}},"/api/v2/products":{"get":{"tags":["Products"],"responses":{"200":{"description":"Success","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/ProductsModel"}},"application/json":{"schema":{"$ref":"#/components/schemas/ProductsModel"}},"text/json":{"schema":{"$ref":"#/components/schemas/ProductsModel"}}}}}}},"/api/v2/products/{item_code}":{"get":{"tags":["Products"],"parameters":[{"name":"item_code","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Product"}},"application/json":{"schema":{"$ref":"#/components/schemas/Product"}},"text/json":{"schema":{"$ref":"#/components/schemas/Product"}}}}}}},"/api/v2/stock/{item_code}":{"get":{"tags":["Products"],"parameters":[{"name":"item_code","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Stock"}},"application/json":{"schema":{"$ref":"#/components/schemas/Stock"}},"text/json":{"schema":{"$ref":"#/components/schemas/Stock"}}}}}}},"/api/v2/stock":{"post":{"tags":["Products"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Stock"}},"text/json":{"schema":{"$ref":"#/components/schemas/Stock"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/Stock"}}}},"responses":{"200":{"description":"Success"}}}}},"components":{"schemas":{"Delivery":{"type":"object","properties":{"doc_entry":{"type":"string","nullable":true},"webshop_order_id":{"type":"string","nullable":true},"doc_status":{"type":"string","nullable":true},"doc_date":{"type":"string","format":"date-time","nullable":true},"delivery_date":{"type":"string","format":"date-time","nullable":true},"price_total_excluding_vat":{"type":"number","format":"double","nullable":true},"vat_sum":{"type":"number","format":"double","nullable":true},"shipping_excl":{"type":"number","format":"double","nullable":true},"track_and_trace":{"type":"string","nullable":true},"administration_id":{"type":"integer","format":"int32","nullable":true},"customer_reference":{"type":"string","nullable":true},"delivery_address":{"$ref":"#/components/schemas/DeliveryAddress"},"delivery_lines":{"type":"array","items":{"$ref":"#/components/schemas/DeliveryLine"},"nullable":true}},"additionalProperties":false},"DeliveryAddress":{"type":"object","properties":{"shipping_name":{"type":"string","nullable":true},"shipping_address_street":{"type":"string","nullable":true},"shipping_address_postal_code":{"type":"string","nullable":true},"shipping_address_city":{"type":"string","nullable":true},"shipping_address_country":{"type":"string","nullable":true},"shipping_department":{"type":"string","nullable":true},"billing_name":{"type":"string","nullable":true},"billing_address_street":{"type":"string","nullable":true},"billing_address_postal_code":{"type":"string","nullable":true},"billing_address_city":{"type":"string","nullable":true},"billing_address_country":{"type":"string","nullable":true},"billing_department":{"type":"string","nullable":true}},"additionalProperties":false},"DeliveryLine":{"type":"object","properties":{"doc_entry":{"type":"string","nullable":true},"line_number":{"type":"integer","format":"int32","nullable":true},"price_excluding_vat":{"type":"number","format":"double","nullable":true},"price_including_vat":{"type":"number","format":"double","nullable":true},"price_total_excluding_vat":{"type":"number","format":"double","nullable":true},"discount_percentage":{"type":"number","format":"double","nullable":true},"line_status":{"type":"string","nullable":true},"administration_id":{"type":"integer","format":"int32","nullable":true},"item_code":{"type":"string","nullable":true},"quantity":{"type":"integer","format":"int32"}},"additionalProperties":false},"DeliveryModel":{"type":"object","properties":{"delivery":{"$ref":"#/components/schemas/Delivery"}},"additionalProperties":false},"Order":{"type":"object","properties":{"webshop_order_id":{"type":"integer","format":"int32"},"card_code":{"type":"string","nullable":true},"internal_status":{"type":"string","nullable":true},"shipping_name":{"type":"string","nullable":true},"shipping_address_street":{"type":"string","nullable":true},"shipping_address_postal_code":{"type":"string","nullable":true},"shipping_address_city":{"type":"string","nullable":true},"shipping_address_country":{"type":"string","nullable":true},"shipping_contact_person":{"type":"string","nullable":true},"billing_name":{"type":"string","nullable":true},"billing_address_street":{"type":"string","nullable":true},"billing_address_postal_code":{"type":"string","nullable":true},"billing_address_city":{"type":"string","nullable":true},"billing_address_country":{"type":"string","nullable":true},"billing_contact_person":{"type":"string","nullable":true},"order_date":{"type":"string","format":"date-time","nullable":true},"price":{"type":"number","format":"double","nullable":true},"discount_percentage":{"type":"number","format":"double","nullable":true},"delivery_charges":{"type":"number","format":"double","nullable":true},"customer_reference":{"type":"string","nullable":true},"administration_id":{"type":"integer","format":"int32","nullable":true},"paid":{"type":"boolean","nullable":true},"site_id":{"type":"integer","format":"int32","nullable":true},"payment_method_code":{"type":"string","nullable":true},"payment_reference":{"type":"string","nullable":true},"channel_name":{"type":"string","nullable":true},"delivery_email":{"type":"string","nullable":true},"invoice_email":{"type":"string","nullable":true},"comment":{"type":"string","nullable":true},"order_lines_attributes":{"type":"array","items":{"$ref":"#/components/schemas/OrderLine"},"nullable":true}},"additionalProperties":false},"OrderLine":{"type":"object","properties":{"webshop_order_id":{"type":"string","nullable":true},"line_number":{"type":"integer","format":"int32","nullable":true},"item_code":{"type":"string","nullable":true},"quantity":{"type":"integer","format":"int32","nullable":true},"product_price_including_vat":{"type":"number","format":"double","nullable":true},"product_price_excluding_vat":{"type":"number","format":"double","nullable":true},"vat_sum":{"type":"number","format":"double","nullable":true},"price":{"type":"number","format":"double","nullable":true},"discount_percentage":{"type":"number","format":"double","nullable":true},"administration_id":{"type":"integer","format":"int32","nullable":true},"comment":{"type":"string","nullable":true},"site_id":{"type":"integer","format":"int32","nullable":true},"fulfillment_by_marketplace":{"type":"boolean","nullable":true}},"additionalProperties":false},"OrdersModel":{"type":"object","properties":{"orders":{"type":"array","items":{"$ref":"#/components/schemas/Order"},"nullable":true}},"additionalProperties":false},"Product":{"type":"object","properties":{"item_code":{"type":"string","nullable":true},"item_name":{"type":"string","nullable":true},"ean":{"type":"string","nullable":true},"weight":{"type":"number","format":"double","nullable":true},"width":{"type":"number","format":"double","nullable":true},"height":{"type":"number","format":"double","nullable":true},"length":{"type":"number","format":"double","nullable":true},"created_at":{"type":"string","format":"date-time","nullable":true},"updated_at":{"type":"string","format":"date-time","nullable":true},"last_pim_update":{"type":"string","format":"date-time","nullable":true},"supplier_country_of_origin":{"type":"string","nullable":true},"supplier_vat_percentage":{"type":"number","format":"double","nullable":true},"supplier_purchase_price":{"type":"number","format":"double","nullable":true},"supplier_selling_price":{"type":"number","format":"double","nullable":true},"supplier_list_price":{"type":"number","format":"double","nullable":true},"pim_data":{"type":"string","nullable":true}},"additionalProperties":false},"ProductsModel":{"type":"object","properties":{"products":{"type":"array","items":{"$ref":"#/components/schemas/Product"},"nullable":true}},"additionalProperties":false},"Stock":{"type":"object","properties":{"stock":{"type":"integer","format":"int32"},"item_code":{"type":"string","nullable":true}},"additionalProperties":false}}}}